Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls
Class WStatusBarPanel

    java.lang.Object
      LumiSoft.UI.Controls.WStatusBarPanel

    public class WStatusBarPanel

extends java.lang.Object

Statusbar panle.

Method Summary
`boolean` | `getAutoSize()` Gets if panel fills all available free space.
`javax.swing.ImageIcon` | `getIcon()` Gets the icon to display within the status bar panel.
`java.lang.String` | `getText()` Gets the text of the status bar panel.
`int` | `getWidth()` Gets the width of the status bar panel within the StatusBar control.
`void` | `setAutoSize(boolean value)` Sets if panel fills all available free space.
`void` | `setIcon(javax.swing.ImageIcon value)` Sets the icon to display within the status bar panel.
`void` | `setText(java.lang.String value)` Sets the text of the status bar panel.
`void` | `setWidth(int value)` Sets the width of the status bar panel within the StatusBar control.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getText

    public java.lang.String getText()

  Gets the text of the status bar panel.

  Returns:

### setText

    public void setText(java.lang.String value)

  Sets the text of the status bar panel.

  Parameters:
    `value` -

### getIcon

    public javax.swing.ImageIcon getIcon()

  Gets the icon to display within the status bar panel.

  Returns:

### setIcon

    public void setIcon(javax.swing.ImageIcon value)

  Sets the icon to display within the status bar panel.

  Parameters:
    `value` -

### getWidth

    public int getWidth()

  Gets the width of the status bar panel within the StatusBar control.

  Returns:

### setWidth

    public void setWidth(int value)

  Sets the width of the status bar panel within the StatusBar control.

  Parameters:
    `value` -

### getAutoSize

    public boolean getAutoSize()

  Gets if panel fills all available free space.

  Returns:

### setAutoSize

    public void setAutoSize(boolean value)

  Sets if panel fills all available free space.

  Parameters:
    `value` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD